summaryrefslogtreecommitdiffstats
path: root/libraries/xmonad-contrib
diff options
context:
space:
mode:
author Mikko Varri <vmj@linuxbox.fi>2010-05-12 23:31:33 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-12 23:31:33 +0200
commitda0e7952343a5d901c11f506617c6ee972171a32 (patch)
tree1607becfd2191310e565b217dcd56ce5b0e7a842 /libraries/xmonad-contrib
parent6fc734a7da98bf292d58eed7aef1a12ed5001ec2 (diff)
downloadslackbuilds-da0e7952343a5d901c11f506617c6ee972171a32.tar.gz
slackbuilds-da0e7952343a5d901c11f506617c6ee972171a32.tar.xz
libraries/xmonad-contrib: Added to 12.2 repository
Diffstat (limited to 'libraries/xmonad-contrib')
-rw-r--r--libraries/xmonad-contrib/README8
-rw-r--r--libraries/xmonad-contrib/doinst.sh4
-rw-r--r--libraries/xmonad-contrib/slack-desc19
-rw-r--r--libraries/xmonad-contrib/xmonad-contrib.SlackBuild69
-rw-r--r--libraries/xmonad-contrib/xmonad-contrib.info8
5 files changed, 108 insertions, 0 deletions
diff --git a/libraries/xmonad-contrib/README b/libraries/xmonad-contrib/README
new file mode 100644
index 0000000000..8d2fabd986
--- /dev/null
+++ b/libraries/xmonad-contrib/README
@@ -0,0 +1,8 @@
+xmonad-contrib (3rd party extensions for xmonad)
+
+The xmonad-contrib library collects third party tiling algorithms,
+hooks, configurations, scripts, and other extensions to xmonad.
+
+The 'scripts' directory is copied to xmonad-contrib doc directory.
+
+This requires xmonad from SlackBuilds.org.
diff --git a/libraries/xmonad-contrib/doinst.sh b/libraries/xmonad-contrib/doinst.sh
new file mode 100644
index 0000000000..87825cdcca
--- /dev/null
+++ b/libraries/xmonad-contrib/doinst.sh
@@ -0,0 +1,4 @@
+chroot . sh /install/register.sh
+rm -f install/register.sh
+rmdir install 2>/dev/null
+
diff --git a/libraries/xmonad-contrib/slack-desc b/libraries/xmonad-contrib/slack-desc
new file mode 100644
index 0000000000..53cf89111f
--- /dev/null
+++ b/libraries/xmonad-contrib/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-----------------------------------------------|
+xmonad-contrib: xmonad-contrib (3rd party extensions for xmonad)
+xmonad-contrib:
+xmonad-contrib: The xmonad-contrib library collects third party tiling
+xmonad-contrib: algorithms, hooks, configurations, scripts, and other
+xmonad-contrib: extensions to xmonad.
+xmonad-contrib:
+xmonad-contrib: The 'scripts' directory is copied to xmonad-contrib docdir.
+xmonad-contrib:
+xmonad-contrib:
+xmonad-contrib:
+xmonad-contrib:
diff --git a/libraries/xmonad-contrib/xmonad-contrib.SlackBuild b/libraries/xmonad-contrib/xmonad-contrib.SlackBuild
new file mode 100644
index 0000000000..7e2e69ee06
--- /dev/null
+++ b/libraries/xmonad-contrib/xmonad-contrib.SlackBuild
@@ -0,0 +1,69 @@
+#!/bin/sh
+
+# Slackware build script for xmonad-contrib
+
+# Written by Mikko Varri (vmj@linuxbox.fi)
+# Public domain.
+
+PRGNAM=xmonad-contrib
+VERSION=${VERSION:-0.8.1}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+runhaskell Setup.lhs configure \
+ --prefix=/usr \
+ --docdir=/usr/doc/$PRGNAM-$VERSION
+
+runhaskell Setup.lhs build
+runhaskell Setup.lhs copy --destdir=$PKG
+runhaskell Setup.lhs register --gen-script
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+)
+
+cp -a README $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a scripts $PKG/usr/doc/$PRGNAM-$VERSION/scripts
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+cat $CWD/slack-desc > $PKG/install/slack-desc
+mv register.sh $PKG/install/register.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/libraries/xmonad-contrib/xmonad-contrib.info b/libraries/xmonad-contrib/xmonad-contrib.info
new file mode 100644
index 0000000000..34a62f0c38
--- /dev/null
+++ b/libraries/xmonad-contrib/xmonad-contrib.info
@@ -0,0 +1,8 @@
+PRGNAM="xmonad-contrib"
+VERSION="0.8.1"
+HOMEPAGE="http://www.xmonad.org/"
+DOWNLOAD="http://hackage.haskell.org/packages/archive/xmonad-contrib/0.8.1/xmonad-contrib-0.8.1.tar.gz"
+MD5SUM="03f74fda270aca759407787da73e50d9"
+MAINTAINER="Mikko Varri"
+EMAIL="vmj@linuxbox.fi"
+APPROVED="rworkman"